/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.tapestry.core.components;

import org.apache.tapestry5.annotations.Parameter;
import org.apache.tapestry5.annotations.Property;

import com.mysema.tapestry.core.Context;

/**
 * Pagination provides
 * 
 * @author tiwe
 * @version $Id$
 */
public class Pagination {

    @Parameter
    private Context context;

    @Parameter
    private int currentPage;

    private int maxPage;

    @Property
    private int page;

    @Parameter
    private String pageName;

    public Object[] getContext() {
        Object[] rv;
        if (page == 1) {
            rv = new Object[context.size() - 2];
            System.arraycopy(context.toArray(), 0, rv, 0, rv.length);
        } else {
            rv = context.toArray();
            rv[rv.length - 1] = page;
        }
        return rv;
    }

    public boolean isCurrentPage() {
        return page == currentPage;
    }

    public int getMaxPage() {
        return maxPage;
    }

    public void setMaxPage(int maxPage) {
        this.maxPage = maxPage;
    }

    public String getPageName() {
        return pageName;
    }

    public void setPageName(String pageName) {
        this.pageName = pageName;
    }
    
    

}
