/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.tapestry.core.components;

import java.util.ArrayList;
import java.util.List;

import org.apache.tapestry5.ComponentResources;
import org.apache.tapestry5.annotations.Parameter;
import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;

/**
 * Range provides
 * 
 * @author tiwe
 * @version $Id$
 */
@SuppressWarnings("unused")
public class Range {

    @Parameter
    private int from;

    @Parameter
    private int to;

    @Parameter(principal = true)
    private Object value;

    private List<Object> values;

    @Inject
    private ComponentResources resources;

    @SuppressWarnings("unchecked")
    void setupRender() {
        values = new ArrayList(to - from + 1);
        for (int i = from; i <= to; i++) {
            values.add(i);
        }
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public List<Object> getValues() {
        return values;
    }
    
    

}
